Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class MovieShape

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.Picture
                  org.apache.poi.hslf.model.MovieShape

    public final class MovieShape

extends Picture

Represents a movie in a PowerPoint document.

Author:
  Yegor Kozlov

Field Summary
`static int` | `DEFAULT_MOVIE_THUMBNAIL`
`static int` | `MOVIE_AVI`
`static int` | `MOVIE_MPEG`

Fields inherited from class org.apache.poi.hslf.model.Picture
`DIB, EMF, JPEG, PICT, PNG, WMF`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`MovieShape(int movieIdx, int pictureIdx)` Create a new `Picture`
`MovieShape(int movieIdx, int idx, Shape parent)` Create a new `Picture`

Method Summary
`java.lang.String` | `getPath()`
`boolean` | `isAutoPlay()`
`void` | `setAutoPlay(boolean flag)`
`void` | `setMovieIndex(int idx)` Assign a movie to this shape

Methods inherited from class org.apache.poi.hslf.model.Picture
`draw, getPictureData, getPictureIndex, getPictureName, setDefaultSize, setPictureName`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MOVIE_THUMBNAIL

    public static final int DEFAULT_MOVIE_THUMBNAIL

See Also:
  Constant Field Values

### MOVIE_MPEG

    public static final int MOVIE_MPEG

See Also:
  Constant Field Values

### MOVIE_AVI

    public static final int MOVIE_AVI

See Also:
  Constant Field Values

Constructor Detail

### MovieShape

    public MovieShape(int movieIdx,
                      int pictureIdx)

  Create a new `Picture`

  Parameters:
    `pictureIdx` - the index of the picture

### MovieShape

    public MovieShape(int movieIdx,
                      int idx,
                      Shape parent)

  Create a new `Picture`

  Parameters:
    `idx` - the index of the picture
    `parent` - the parent shape

Method Detail

### setMovieIndex

    public void setMovieIndex(int idx)

  Assign a movie to this shape

  Parameters:
    `idx` - the index of the movie
  See Also:
    `SlideShow.addMovie(String, int)`

### setAutoPlay

    public void setAutoPlay(boolean flag)

### isAutoPlay

    public boolean isAutoPlay()

### getPath

    public java.lang.String getPath()

  Returns:
    UNC or local path to a video file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD